# GitLab use cases for data analysis projects

- [LUMC](http://git.lumc.nl) git server (based on [GitLab](https://www.gitlab.com)) concepts:
  - projects (equivalent to separate git repositories; private or public)
  - members (users who have access to the projects; full, read-only, comment, etc)
  - groups (groups of users; share access rights and namespaces)
  - demo how to create a new project (note shell commands to connect to the repository)
- standard `README.md` file:
  - editing in the browser
  - [markdown](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet) language
  - previewing changes
  - commiting changes
- project graph:
  - checking commit log and graph [[internal example](https://git.lumc.nl/biopet/biopet/network/develop)]
  - [tagging](https://git-scm.com/book/en/v2/Git-Basics-Tagging) repository states
- _use case:_ writing minutes of a meeting [[internal example](https://git.lumc.nl/TFA_eLoket/TFA_eLoket)]
- _use case:_ bioinformatics analysis (delivering reports through GitLab):
  - [example report](https://git.lumc.nl/sasc/project-165-faireseq)
  - [source](https://git.lumc.nl/sasc/project-165-faireseq/blob/master/analysis/bin_normalization/bin_normalization.Rmd) written in R/[Rmarkdown](http://rmarkdown.rstudio.com/)
  - integration with [Rstudio](https://www.rstudio.com/)
  - requesting changes ([issues](http://doc.gitlab.com/ce/gitlab-basics/create-issue.html))
- _use case:_ [R course](https://git.lumc.nl/bce_core/R_course_2015_Jun)
